Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.widget
Class WidgetUtils

    java.lang.Object
      oracle.ifs.utils.widget.WidgetUtils

    public class WidgetUtils

extends java.lang.Object

A collection of utility methods useful for GUI applications.

Modified:
  lsaenz 05/16/2001 Changed NTFS icon to be the SMB icon., lsaenz 05/08/2001 Made getImageResource work with JDK 1.1.8; added getServerTypeIconImage method., lsaenz 05/05/2001 Improved image resource methods., lsaenz 04/30/2001 Added file icon image methods and constants., lsaenz 04/27/2001 Added IFS_LOGO constant., lsaenz 04/15/2001 Added methods to set OLAF., lsaenz 03/10/2001 Created.

Field Summary
`static java.lang.String` | `IFS_LOGO` Name of the standard iFS logo Image.
`static java.lang.String` | `IFS_SMALL_ICON` Name of the small (16x16) standard iFS icon image.

Constructor Summary
`WidgetUtils()`

Method Summary
`static java.awt.Image` | `getFileIconImage(java.lang.String mimetype)` Returns an file icon Image based on the given mimetype.
`static java.awt.Image` | `getImageResource(java.lang.String path)` Retuns a new Image from a resource in the CLASSPATH.
`static java.awt.Image` | `getNamedImage(java.lang.String name)` Returns a named Image from this package.
`static java.awt.Image` | `getServerTypeIconImage(java.lang.String serverType)` Returns a server type icon Image based on the given server type.
`static void` | `setIfsIcon(java.awt.Frame win)` Sets the iFS small icon for the given window (Frame).
`static void` | `setOracleLookAndFeel()` Sets the Oracle Look And Feel (OLAF) for Swing applications.
`static void` | `setOracleLookAndFeel(java.lang.String schemeName)` Sets the Oracle Look And Feel (OLAF) with a given color scheme for Swing applications.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IFS_SMALL_ICON

    public static final java.lang.String IFS_SMALL_ICON

  Description copied from class: `WidgetUtils`
  Name of the small (16x16) standard iFS icon image.

  See Also:
    Constant Field Values

### IFS_LOGO

    public static final java.lang.String IFS_LOGO

  Description copied from class: `WidgetUtils`
  Name of the standard iFS logo Image.

  See Also:
    Constant Field Values

Constructor Detail

### WidgetUtils

    public WidgetUtils()

Method Detail

### getNamedImage

    public static java.awt.Image getNamedImage(java.lang.String name)

  Description copied from class: `WidgetUtils`
  Returns a named Image from this package. Names are defined in this class.

  Parameters:
    `name` - the name of the image to retrieve.

### getImageResource

    public static java.awt.Image getImageResource(java.lang.String path)

  Description copied from class: `WidgetUtils`
  Retuns a new Image from a resource in the CLASSPATH.

  Parameters:
    `path` - a '/'-seperated path to an image resource in the CLASSPATH.
    Note: a leading slash is automatically prepended to the path so that the ClassLoader interprets it as an absolute path.
  Returns:
    a new Image from the given resource, or null if the Image resource could not be loaded.

### getFileIconImage

    public static java.awt.Image getFileIconImage(java.lang.String mimetype)

  Description copied from class: `WidgetUtils`
  Returns an file icon Image based on the given mimetype.

  Parameters:
    `mimetype` - the file's mimetype.
  Returns:
    a file icon Image based on the mimetype, or the default file icon image if the mimetype doesn't map to a file icon; or the standard "image not loaded" Image if the image resources cannot be loaded.

### getServerTypeIconImage

    public static java.awt.Image getServerTypeIconImage(java.lang.String serverType)

  Description copied from class: `WidgetUtils`
  Returns a server type icon Image based on the given server type.

  Parameters:
    `serverType` - the server type.
  Returns:
    a server icon Image based on the server type, or the default server icon Image if the server type doesn't map to a server icon; or the standard "image not loaded" Image if the image resources cannot be loaded.

### setIfsIcon

    public static void setIfsIcon(java.awt.Frame win)

  Description copied from class: `WidgetUtils`
  Sets the iFS small icon for the given window (Frame).

  Parameters:
    `win` - the window (Frame) on which to to set the iFS icon.

### setOracleLookAndFeel

    public static void setOracleLookAndFeel()

  Description copied from class: `WidgetUtils`
  Sets the Oracle Look And Feel (OLAF) for Swing applications. Note: this is a best-effort attempt.

### setOracleLookAndFeel

    public static void setOracleLookAndFeel(java.lang.String schemeName)

  Description copied from class: `WidgetUtils`
  Sets the Oracle Look And Feel (OLAF) with a given color scheme for Swing applications.
  Note: this is a best-effort attempt.

  Parameters:
    `schemeName` - the name of the color scheme

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD